package com.ti.mobpo.model

import com.google.gson.annotations.SerializedName

data class PokemonSpecies(
    @SerializedName("name") val name: String,
    @SerializedName("url") val url: String
)

data class PokemonResponse(
    @SerializedName("results") val results: List<PokemonSpecies>
)

data class PokemonDetails(
    val id: Int,
    val name: String,
    val types: List<Type>,
    @SerializedName("sprites") val sprites: Sprites
)

data class Type(
    @SerializedName("type") val typeName: TypeName
)

data class TypeName(
    @SerializedName("name") val name: String
)

data class Sprites(
    @SerializedName("other") val other: Other
)

data class Other(
    @SerializedName("official-artwork") val officialArtwork: OfficialArtwork
)

data class OfficialArtwork(
    @SerializedName("front_default") val frontDefault: String
)